{ config, pkgs, ... }:

{

  users.extraUsers.gebner.extraGroups = [ "bluetooth" ];

  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    jack.enable = true;

    # media-session.config.bluez-monitor.rules = [
    #   {
    #     # Matches all cards
    #     matches = [ { "device.name" = "~bluez_card.*"; } ];
    #     actions = {
    #       "update-props" = {
    #         "bluez5.reconnect-profiles" = [ "hfp_hf" "hsp_hs" "a2dp_sink" ];
    #         "bluez5.msbc-support" = true;
    #       };
    #     };
    #   }
    # ];
  };

  environment.systemPackages = with pkgs; [
    pulseaudio
    alsaUtils
    carla
    qjackctl
    pipewire.lib
    helvum
  ];

}
